Search the Community
Showing results for tags 'threads'.
-
Hi, I'm trying to create a routine to draw trapezoidal threads in Adcad2000. I don't understand why it does not work. Can someone help me? I really appreciate, hugs. Code: ;Program that subtracts a 'cut entity' of a cylinder, shifts it along ;and turns it to make new cut, "N" times each "M" turns. ;Requirements: horizontal cylinder axle and load of "geom3d.arx" (Acad2000). (DEFUN C:LATHE (/) (Setq AUN (getvar "aunits")) (setvar "aunits" 0) (progn (setq Cylinder (entsel "\nClik the Cylinder to 'lathe': ")) (setq PtoA (GETPOINT "\nClick at START (center) of Cylinder: ")) (setq PtoB (GETPOINT "\nClick at END of Cylinder (center): ")) (setq CutEntity (entsel "\nSelect a 'CUT-ENTITY': ")) (princ "\nTotal Number of TURNS (spiral): ") (setq NTv (getint)) (setq Nv 1) (princ "\nHow many CUTS by TURN (resolution): ") (setq NCv (getint)) (setq Nc 1) (setq Step (/ (distance PtoA PtoB) (* NCv NTv))) (setq AngularStep (/ 360 NCv)) (setq PtoC (polar PtoA (angle PtoA PtoB) Step)) (while (>= NTv Nv) (while (>= NCv Nc) (command "copy" CutEntity "" "0,0,0" "0,0,0") (command "subtract" Cylinder "" CutEntity "") (command "move" Cylinder PtoC PtoA) (command "rotate3d" Cylinder PtoA PtoB AngularStep) (setq Nc (+ Nc 1)) ) (setq Nv (+ Nv 1)) (setq Nc 1) ) ) (setvar "aunits" AUN) )
- 4 replies
-
- spiral
- solid threads
-
(and 2 more)
Tagged with:
-
Automated, high-accuracy, ISO compliant, thread creation LSP file.
cj7hawk posted a topic in Tutorials & Tips'n'Tricks
Hi All, I wrote this software for a CAD application called CorelCAD and I know it works on Graebert's ARES Commander as well, and it should work on Autocad and other LISP based systems, but I'd appreciate it if anyone could check. Maybe most CAD packages come with something like this now? I don't know, but I do know it's a novel way to calculate threads, with very high accuracy, and that conform to ISO standards for thread faces. There are two routines, NUT and BOLT. Bolt calculates external threads, and Nut internal ones. It's not very well written, but it seems bug-free and works well enough. It may require interactivity when it completes it's two "LOFT" commands, but on CorelCAD I use the defaults and just hit enter. Hopefully it might help others who need to create threads. The routines are optimised for 3D printing application, and allow offset on internal threads to allow appropriate clearances, though you can manually set the clearance for external threads by choosing a smaller diameter. When run, it will ask for basepoint, diameter, pitch and indexes ( starts ) - and can create multi-start threads for optical purposes and such. Or perhaps even specialist helical gears. It also creates all threads in the direction of the Z axis. I haven't included reverse gears - but a 3D mirror will create one. The application takes a unique approach to thread creation, generating a longitudinal cross-section in 32 segments and then using LOFT to join them together. It creates each bolt in two halves ( to avoid loft-related issues with torroids ) and them union's them together. It cleans up the final solid part, by masking off at a length and filling in the inside. External threads are created solid and complete, and internal threads are subtracted from another solid. This approach also allows bottoming threads to be easily inserted into solids. Well, I hope you like it It's my first post. I came here some time ago looking for an easy way to make threads, and on not finding one, I wrote my own. I hope it attaches OK isothreads v0.12A.lsp Regards David- 9 replies
-
- thread creation
- iso
-
(and 1 more)
Tagged with:
-
I have saved many useful threads in my subscription folder. They grown and I want to organize them. I have two questions in this regard: 1- It gives 3 folders to build inside subscription folder. Is this the maximum available? Is it possible to increase number of folders? 2- How to move threads I want to categorize them an move some threads to other folders. I couldn't figure out how can I do this. Is it possible? how
- 3 replies
-
- subscription folder
- move
-
(and 1 more)
Tagged with: